export type GeolocationGeometry = {
  type: string
  coordinates: number[] | number[][] | number[][][] | number[][][][]
}

export type GeolocationCoordinates = {
  lat: number
  lon: number
}

export type GeolocationProperties = {
  formatted: string
  name: string
  city: string
  county: string
  state: string
  country: string
} & GeolocationCoordinates

export type GeoAPIResponse = {
  data?: {
    placeDetails?: {
      geolocation?: {
        properties?: Partial<GeolocationProperties>
        geometry?: Partial<GeolocationGeometry>
      }
    }
  }
}
